// function attr() is used to name and value string if exists.
// Value is passed in double quotes;
function FWattr(name, value)
{
	if (!value || value == "")
		return "";

	if (value.indexOf("\"") != -1)
		return ' ' + name + '=\'' + value + '\'';			//value contains "
	else
		return ' ' + name + '="' + value.toString() + '"';	//toString() converts true or false
}
/**
 * Return html for selected form builder fields.
 */
function FWquickbuilder_html()		//was FWmake_html(inId) before tinymce
{
	var html = "";
	var isTable = FW.quickbuilder.checked[11];
	if (isTable) html += '<table border="0" cellpadding="2" align="center">';

	for (counti = 0; counti < 11; counti = counti + 1)
	{
		if (FW.quickbuilder.checked[counti] == true)
		{
			if (isTable) html += '<tr><td align="right">'
			html += FW.quickbuilder.caption[counti]
			if (isTable) html += '</td><td>'

			if (counti == 5) //check if selection list for countries is checked
			{
				html += '<br /><select'
					  + FWattr('name', FW.quickbuilder.fieldname[counti])
					  + '>'
					  + getCountryList();
			}
			else
			{
				html += '<br /><textarea'
					  + FWattr('name', FW.quickbuilder.fieldname[counti])
					  + FWattr('previousname', FW.quickbuilder.fieldname[counti])
					  + ' maxlength="100"'	//not valid attr for textarea
					  + ' required="false" texttype="textfield" ';

				if (counti == 10) // to give relatively big area for comments
					html += ' cols="30" rows="4"'
							+ 'style="overflow: hidden;width:100%;min-height:200px"';
				else
					html += ' cols="20" rows="1"';

				html += ' wrap="default"'
					  + ' style="overflow: hidden;width:100%;"'
					  + '></textarea>'
			}
			if (isTable)
				html += '</td></tr>';
			else
				html += '<br />';
		}
	} // for each selected element loop ends

	if (isTable
	&& (!findInputType('submit') || !findInputType('reset')))
		html += '<tr><td align="center" colspan="2">';

	if (!findInputType('submit'))
		html += '<input type="submit" name="submit" value="submit"'
			  + ' maxlength="0" previousname="submit" />';

	if (!findInputType('submit') && !findInputType('reset'))
		html += '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

	if (!findInputType('reset'))
		html += '<input type="reset" name="reset" value="reset"'
		      + ' maxlength="0" previousname="reset" />';

	if (isTable
	&& (!findInputType('submit') || !findInputType('reset')))
		html += '</td></tr></table>';

	return html;
}

function FWInspection_html()		//was FWmake_html(inId) before tinymce
{
	var html = "";
	var isTable = FW.quickbuilder.checked[7];

	if (isTable) html += '<table border="0" cellpadding="2" align="center" style="width:100%">';

	for (counti = 0; counti < 7; counti = counti + 1)
	{
		if (FW.quickbuilder.checked[counti] == true)
		{
			if (isTable) html += '<tr><td>'
			if(counti == 0) html += '<p>'+FW.quickbuilder.caption[counti];
			else
				html += FW.quickbuilder.caption[counti];
			if (isTable) html += '</td><td>'


				html += '<br /><textarea'
					  + FWattr('name', FW.quickbuilder.fieldname[counti])
					  + FWattr('previousname', FW.quickbuilder.fieldname[counti])
					  + ' maxlength="40"'	//not valid attr for textarea

					  + ' required="false" texttype="textfield" ';

				if (counti == 6) // to give relatively big area for comments
					html += ' cols="30" rows="4"';
				else
					html += ' cols="20" rows="1"';

				html += ' wrap="default"'
					  + ' style="overflow:hidden;width:98%;"'
					  + '></textarea><br />'

			if (isTable)
				html += '</td></tr>';
			else
				html += '<br />';
		}
	} // for each selected element loop ends

	if (isTable
	&& (!findInputType('submit') || !findInputType('reset')))
		html += '<tr><td align="center" colspan="2">';

	if (!findInputType('submit'))
		html += '<input type="submit" name="submit" value="submit"'
			  + ' maxlength="0" previousname="submit" />';

	if (!findInputType('submit') && !findInputType('reset'))
		html += '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

	if (!findInputType('reset'))
		html += '<input type="reset" name="reset" value="reset"'
		      + ' maxlength="0" previousname="reset" />';

	if (isTable
	&& (!findInputType('submit') || !findInputType('reset')))
		html += '</td></tr></table>';

	return html;
}

function FWGeneralRequest_html()		//was FWmake_html(inId) before tinymce
{
	var html = "";
	var isTable = FW.quickbuilder.checked[9];
	if (isTable) html += '<table border="0" cellpadding="2" align="center">';

		for (counti = 0; counti < 9; counti = counti + 1)
		{
			if (FW.quickbuilder.checked[counti] == true)
			{
				if (isTable) html += '<tr><td align="right">'
				html += FW.quickbuilder.caption[counti]
				if (isTable) html += '</td><td>'

				if (counti == 0) //check if selection list for countries is checked
				{
					html += '<br /><select'
						  + FWattr('name', FW.quickbuilder.fieldname[counti])
						  + '>'
						  + getRequestTypeList();
				}
				else
				{
					html += '<br /><textarea'
						  + FWattr('name', FW.quickbuilder.fieldname[counti])
						  + FWattr('previousname', FW.quickbuilder.fieldname[counti])
						  + ' maxlength="100"'	//not valid attr for textarea
						  + ' required="false" texttype="textfield" ';

					if (counti == 1) // to give relatively big area for comments
						html += ' cols="30" rows="6"'
								+ 'style="overflow: hidden;width:100%;min-height:200px"';
					else
						html += ' cols="20" rows="1"';

					html += ' wrap="default"'
						  + ' style="overflow: hidden;width:100%;"'
						  + '></textarea>'
				}
				if (isTable)
					html += '</td></tr>';
				else
				html += '<br />';
		}
	} // for each selected element loop ends

	if (isTable
	&& (!findInputType('submit') || !findInputType('reset')))
		html += '<tr><td align="center" colspan="2">';

	if (!findInputType('submit'))
		html += '<input type="submit" name="submit" value="submit"'
			  + ' maxlength="0" previousname="submit" />';

	if (!findInputType('submit') && !findInputType('reset'))
		html += '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

	if (!findInputType('reset'))
		html += '<input type="reset" name="reset" value="reset"'
		      + ' maxlength="0" previousname="reset" />';

	if (isTable
	&& (!findInputType('submit') || !findInputType('reset')))
		html += '</td></tr></table>';

	return html;
}


//method for adding counrty list
function getCountryList()
{
	var countryList = '<option selected value="">Choose a Country' +
		'<option value="USA">United States of America' +
		'<option value="CAN">Canada' +
		'<option value="DEU">Germany' +
		'<option value="FRA">France' +
		'<option value="GBR">United Kingdom' +
		'<option value="IND">India' +
		'<option value="">---------------------' +
		'<option value="AFG">Afghanistan' +
		'<option value="ALB">Albania' +
		'<option value="DZA">Algeria' +
		'<option value="ASM">American Samoa' +
		'<option value="AND">Andorra' +
		'<option value="AGO">Angola' +
		'<option value="AIA">Anguilla' +
		'<option value="ATA">Antarctica' +
		'<option value="ATG">Antigua and Barbuda' +
		'<option value="ARG">Argentina' +
		'<option value="ARM">Armenia' +
		'<option value="ABW">Aruba' +
		'<option value="AUS">Australia' +
		'<option value="AUT">Austria' +
		'<option value="AZE">Azerbaijan' +
		'<option value="BHS">Bahamas' +
		'<option value="BHR">Bahrain' +
		'<option value="BGD">Bangladesh' +
		'<option value="BRB">Barbados' +
		'<option value="BLR">Belarus' +
		'<option value="BEL">Belgium' +
		'<option value="BLZ">Belize' +
		'<option value="BEN">Benin' +
		'<option value="BMU">Bermuda' +
		'<option value="BTN">Bhutan' +
		'<option value="BOL">Bolivia' +
		'<option value="BIH">Bosnia and Herzegowina' +
		'<option value="BWA">Botswana' +
		'<option value="BVT">Bouvet Island' +
		'<option value="BRA">Brazil' +
		'<option value="IOT">British Indian Ocean Territory' +
		'<option value="BRN">Brunei Darussalam' +
		'<option value="BGR">Bulgaria' +
		'<option value="BFA">Burkina Faso' +
		'<option value="BDI">Burundi' +
		'<option value="KHM">Cambodia' +
		'<option value="CMR">Cameroon' +
		'<option value="CPV">Cape Verde' +
		'<option value="CYM">Cayman Islands' +
		'<option value="CAF">Central African Republic' +
		'<option value="TCD">Chad' +
		'<option value="CHL">Chile' +
		'<option value="CHN">China' +
		'<option value="CXR">Christmas Island' +
		'<option value="CCK">Cocoa (Keeling) Islands' +
		'<option value="COL">Colombia' +
		'<option value="COM">Comoros' +
		'<option value="COG">Congo' +
		'<option value="CRI">Costa Rica' +
		'<option value="CIV">Cote Divoire' +
		'<option value="HRV">Croatia (local name: Hrvatska)' +
		'<option value="CUB">Cuba' +
		'<option value="CYP">Cyprus' +
		'<option value="CZE">Czech Republic' +
		'<option value="DNK">Denmark' +
		'<option value="DJI">Djibouti' +
		'<option value="DMA">Dominica' +
		'<option value="DOM">Dominican Republic' +
		'<option value="TMP">East Timor' +
		'<option value="ECU">Ecuador' +
		'<option value="EGY">Egypt' +
		'<option value="SLV">El Salvador' +
		'<option value="GNQ">Equatorial Guinea' +
		'<option value="ERI">Eritrea' +
		'<option value="EST">Estonia' +
		'<option value="ETH">Ethiopia' +
		'<option value="FLK">Falkland Islands (Malvinas)' +
		'<option value="FRO">Faroe Islands' +
		'<option value="FJI">Fiji' +
		'<option value="FIN">Finland' +
		'<option value="FXX">France, Metropolitan' +
		'<option value="GUF">French Guiana' +
		'<option value="PYF">French Polynesia' +
		'<option value="GAB">Gabon' +
		'<option value="GMB">Gambia' +
		'<option value="GEO">Georgia' +
		'<option value="GHA">Ghana' +
		'<option value="GIB">Gibraltar' +
		'<option value="GRC">Greece' +
		'<option value="GRL">Greenland' +
		'<option value="GRD">Grenada' +
		'<option value="GLP">>Guadeloupe' +
		'<option value="GUM">Guam' +
		'<option value="GTM">Guatemala' +
		'<option value="GIN">Guinea' +
		'<option value="GNB">Guinea-Bissau' +
		'<option value="GUY">Guyana' +
		'<option value="HMD">Heard and Mc Donald Islands' +
		'<option value="HND">Honduras' +
		'<option value="HKG">Hong Kong' +
		'<option value="HUN">Hungary' +
		'<option value="ISL">Iceland' +
		'<option value="IDN">Indonesia' +
		'<option value="IRN">Iran (Islamic Republic of)' +
		'<option value="IRQ">Iraq' +
		'<option value="IRL">Ireland' +
		'<option value="ISR">Israel' +
		'<option value="ITA">Italy' +
		'<option value="JAM">Jamaica' +
		'<option value="JPN">Japan' +
		'<option value="JOR">Jordan' +
		'<option value="KAZ">Kazakhstan' +
		'<option value="KEN">Kenya' +
		'<option value="KIR">Kiribati' +
		'<option value="PRK">Korea, Democratic Peoples Republic of' +
		'<option value="KOR">Korea, Republic of' +
		'<option value="KWT">Kuwait' +
		'<option value="KGZ">Kyrgyzstan' +
		'<option value="LAO">Lao Peoples Democratic Republic' +
		'<option value="LVA">Latvia' +
		'<option value="LBN">Lebanon' +
		'<option value="LSO">Lesotho' +
		'<option value="LBR">Liberia' +
		'<option value="LBY">Libyan Arab Jamahiriya' +
		'<option value="LIE">Liechtenstein' +
		'<option value="LTU">Lithuania' +
		'<option value="LUX">Luxembourg' +
		'<option value="MAC">Macau' +
		'<option value="MKD">Macedonia, The Former Yugoslav Republic of' +
		'<option value="MDG">Madagascar' +
		'<option value="MWI">Malawi' +
		'<option value="MYS">Malaysia' +
		'<option value="MDV">Maldives' +
		'<option value="MLI">Mali' +
		'<option value="MLT">Malta' +
		'<option value="MHL">Marshall Islands' +
		'<option value="MTQ">Martinique' +
		'<option value="MRT">Mauritania' +
		'<option value="MVS">Mauritius' +
		'<option value="MYT">Mayotte' +
		'<option value="MEX">Mexico' +
		'<option value="FSM">Micronesia, Federated States of' +
		'<option value="MDA">Moldova, Republic of' +
		'<option value="MCO">Monaco' +
		'<option value="MNG">Mongolia' +
		'<option value="MSR">Montserrat' +
		'<option value="MAR">Morocco' +
		'<option value="MOZ">Mozambique' +
		'<option value="MMR">Myanmar' +
		'<option value="NAM">Namibia' +
		'<option value="NRU">Nauru' +
		'<option value="NPL">Nepal' +
		'<option value="NLD">Netherlands' +
		'<option value="ANT">Netherlands Antilles' +
		'<option value="NCL">New Caledonia' +
		'<option value="NZL">New Zealand' +
		'<option value="NIC">Nicaragua' +
		'<option value="NER">Niger' +
		'<option value="NGA">Nigeria' +
		'<option value="NIU">Niue' +
		'<option value="NFK">Norfolk Island' +
		'<option value="MNP">Northern Mariana Islands' +
		'<option value="MOR">Norway' +
		'<option value="OMN">Oman' +
		'<option value="PAK">Pakistan' +
		'<option value="PLW">Palau' +
		'<option value="PAN">Panama' +
		'<option value="PNG">Papua New Guinea' +
		'<option value="PRY">Paraguay' +
		'<option value="PER">Peru' +
		'<option value="PHL">Philippines' +
		'<option value="PCN">Pitcairn' +
		'<option value="POL">Poland' +
		'<option value="PRI">Puerto Rico' +
		'<option value="QAT">Qatar' +
		'<option value="REU">Reunion' +
		'<option value="ROM">Romania' +
		'<option value="RUS">Russian Federation' +
		'<option value="RWA">Rwanda' +
		'<option value="KNA">Saint Kitts and Nevis' +
		'<option value="LCA">Saint Lucia' +
		'<option value="VCT">Saint Vincent and the Grenadines' +
		'<option value="WSM">Samoa' +
		'<option value="SMR">San Marino' +
		'<option value="STP">Sao Tome and Principe' +
		'<option value="SAU">Saudi Arabia' +
		'<option value="SEN">Senegal' +
		'<option value="SYC">Seychelles' +
		'<option value="SLE">Sierra Leone' +
		'<option value="SGP">Singapore' +
		'<option value="SVK">Slovakia (Slovak Republic)' +
		'<option value="SVN">Slovenia' +
		'<option value="SLB">Solomon Islands' +
		'<option value="SOM">Somalia' +
		'<option value="ZAF">South Africa' +
		'<option value="SGS">South Georgia and the South Sandwich Islands' +
		'<option value="ESP">Spain' +
		'<option value="LKA">Sri Lanka' +
		'<option value="SHN">St. Helena' +
		'<option value="SPM">St. Pierre and Miquelon' +
		'<option value="SDN">Sudan' +
		'<option value="SUR">Suriname' +
		'<option value="SJM">Svalbard and Jan Mayen Islands' +
		'<option value="SWZ">Swaziland' +
		'<option value="SWE">Sweden' +
		'<option value="CHE">Switzerland' +
		'<option value="SYR">Syrian Arab Republic' +
		'<option value="TWN">Taiwan' +
		'<option value="TJK">Tajikistan' +
		'<option value="TZA">Tanzania, United Republic of' +
		'<option value="THA">Thailand' +
		'<option value="TGO">Togo' +
		'<option value="TKL">Tokelau' +
		'<option value="TON">Tonga' +
		'<option value="TTO">Trinidad and Tobago' +
		'<option value="TUN">Tunisia' +
		'<option value="TUR">Turkey' +
		'<option value="TKM">Turkmenistan' +
		'<option value="TCA">Turks and Caicos Islands' +
		'<option value="TUV">Tuvalu' +
		'<option value="UGA">Uganda' +
		'<option value="UKR">Ukraine' +
		'<option value="ARE">United Arab Emirates' +
		'<option value="UMI">United States Minor Outlying Islands' +
		'<option value="URY">Uruguay' +
		'<option value="UZB">Uzbekistan' +
		'<option value="VUT">Vanuatu' +
		'<option value="VAT">Vatican City State (Holy See)' +
		'<option value="VEN">Venezuela' +
		'<option value="VNM">Viet Nam' +
		'<option value="VGB">Virgin Islands (British)' +
		'<option value="VIR">Virgin Islands (U.S.)' +
		'<option value="WLF">Wallisw and Futuna Islands' +
		'<option value="ESH">Western Sahara' +
		'<option value="YEM">Yeman' +
		'<option value="YUG">Yugoslavia' +
		'<option value="ZAR">Zaire' +
		'<option value="ZMB">Zambia' +
		'<option value="ZWE">Zimbabwe' +
		'<option value="UNK">Not Listed' +
		'</select>';
	return countryList;
}

function getRequestTypeList()
{
	var requestList = '<option selected value="">(Select One)' +
		'<option value="Grafitti">Grafitti' +
		'<option value="Alley Cleanup">Alley Cleanup' +
		'<option value="Bikeways">Bikeways' +
		'<option value="Comments or Opinion">Comments or Opinion' +
		'<option value="Debris/Trash in Right-of-Way">Debris/Trash in Right-of-Way' +
		'<option value="Development Services">Development Services' +
		'<option value="Garbage Collection">Garbage Collection' +
		'<option value="Mowing">Mowing' +
		'<option value="Paving">Paving' +
		'<option value="Pothole Repair/Requests">Pothole Repair/Requests' +
		'<option value="Recycling">Recyling' +
		'<option value="Snow Removal">Snow Removal' +
		'<option value="Street Lighting">Street Lighting' +
		'<option value="Traffic Signals/Signs">Traffic Signals/Signs' +
		'<option value="Website">Website' +
		'<option value="Other">Other' +
		'</select>';
	return requestList;
}